package com.bwie.log.controller;

import com.bwie.common.domain.Log;
import com.bwie.common.result.Result;
import com.bwie.log.mapper.LogMapper;
import com.bwie.log.service.LogService;
import org.springframework.web.bind.annotation.*;

@RestController
@ResponseBody
public class LogController {
    private final LogService logService;


    public LogController(LogService logService) {
        this.logService = logService;

    }

    @PostMapping("addlog")
    Result addlog(@RequestBody Log build){
        logService.save(build);
        return Result.success();
    }

    @PostMapping("showlog")
    public Result showlog(Long redId){
        return Result.success(logService.showlog(redId));
}
}
