package com.bwie.log.task;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.bwie.common.domain.Log;
import com.bwie.log.mapper.LogMapper;
import com.bwie.log.service.LogService;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class MyTask {

    private final LogService logService;
    private final LogMapper logMapper;

    public MyTask(LogService logService, LogMapper logMapper) {
        this.logService = logService;
        this.logMapper = logMapper;
    }


    @Scheduled(cron = "0/10 * * * * *")
    public void addb(){
        LambdaQueryWrapper<Log> logLambdaQueryWrapper = new LambdaQueryWrapper<>();
        List<Log> logs = logMapper.selectList(logLambdaQueryWrapper);
        logService.addbach(logs);


    }


}
