package com.bwie.red;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableFeignClients(basePackages = "com.bwie.**")
@EnableScheduling
@SpringBootApplication
@EnableDiscoveryClient
public class RedApp {
    public static void main(String[] args) {
        SpringApplication.run(RedApp.class);
    }
}
