package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
@Data
@Builder
@TableName(value = "friend")
public class Friend {
    @TableId(value = "fr_id",type = IdType.AUTO)
    private Long frId;
    @TableField(value = "user_id")
    private Long userId;
    @TableField(value = "user_fr")
    private Long userFr;
}
