package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class Red {
    private Long redId;
    private String redTheme;
    private Integer redMoney;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date redTime;
    private Integer redSum;
    private Double redYu;
    private Integer redNum;
    private Integer redLong;
    private Integer redStatus;
    private Integer redYn;
    private Long userId;
    private String userTel;
}
