package com.bwie.common.remote.log;

import com.bwie.common.constant.ServerNameConstants;
import com.bwie.common.domain.Log;
import com.bwie.common.domain.Red;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.RegRequest;
import com.bwie.common.domain.request.SendredRequest;
import com.bwie.common.remote.log.factory.RemoteLogFactory;
import com.bwie.common.remote.system.factory.RemoteUserFactory;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(
        name = ServerNameConstants.LOG_NAME,
        fallbackFactory = RemoteLogFactory.class
)
public interface RemoteLogService {

    @PostMapping("addlog")
    Result addlog(@RequestBody Log build);
}
